summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>2014-07-25 08:11:30 +1000
committerDamien Miller <djm@mindrot.org>2014-07-25 08:11:30 +1000
commit56b840f2b81e14a2f95c203403633a72566736f8 (patch)
tree7c1741dbe3e19fa75baa4c1aec6fdd285df1f3ca
parentdd417b60d5ca220565d1014e92b7f8f43dc081eb (diff)
downloadopenssh-git-56b840f2b81e14a2f95c203403633a72566736f8.tar.gz
- (djm) [regress/multiplex.sh] restore incorrectly deleted line;
pointed out by Christian Hesse
-rw-r--r--ChangeLog4
-rw-r--r--regress/multiplex.sh2
2 files changed, 5 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index 4ce4fbdb..04dea31f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+20140725
+ - (djm) [regress/multiplex.sh] restore incorrectly deleted line;
+ pointed out by Christian Hesse
+
20140722
- (djm) [regress/multiplex.sh] ssh mux master lost -N somehow;
put it back
diff --git a/regress/multiplex.sh b/regress/multiplex.sh
index fc32d13e..693211bf 100644
--- a/regress/multiplex.sh
+++ b/regress/multiplex.sh
@@ -165,8 +165,8 @@ echo "" | $NC -U $OBJ/unix-1.fwd | grep "Protocol mismatch" >/dev/null 2>&1 \
|| fail "connect to remote forwarded path failed"
${SSH} -F $OBJ/ssh_config -S $CTL -Ocancel -R $OBJ/unix-1.fwd:localhost:$PORT otherhost \
|| fail "cancel remote forward failed"
-N=$(echo "" | $NC -U $OBJ/unix-1.fwd 2>&1 | wc -l)
N=$(echo "xyzzy" | $NC -U $OBJ/unix-1.fwd 2>&1 | grep "xyzzy" | wc -l)
+test ${N} -eq 0 || fail "remote forward path still listening"
rm -f $OBJ/unix-1.fwd
verbose "test $tid: cmd exit"